Subject: bug#45778: Bug? Haskell GHC wont' work since [email-masked]?

From: zimoun <[email-masked]>
Date: Mon, 11 Jan 2021 15:54:11 +0100

Hi John,

On Sun, 10 Jan 2021 at 22:18, John Soo <[email-masked]> wrote:

> This question comes up on the mailing list every so often, but I don’t
> think it is a bug. I want to be able to choose the c toolchain ghc
> uses myself. I would rather introduce some Haskell specific
> documentation.

Choosing the C toolchain and propagating one are not really related.  I
mean, one C toolchain could be propagated by default, so then GHC works
out-of-the-box.  And the build transformation ’--with-c-toolchain’
should provide the flexibility to use any other C toolchain variant you
want.  Is it not working as expected?

All the best,
simon